Bug 172920 - Lock at "Initializing hardware... storage network" caused by ULi HD Audio controller enabled.
Lock at "Initializing hardware... storage network" caused by ULi HD Audio con...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
http://www.uli.com.tw
:
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-11-11 05:10 EST by thchou
Modified: 2009-08-11 08:32 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 15:40:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description thchou 2005-11-11 05:10:02 EST
Install RHEL4 UP2 on ULi EV970 board(ULi M1697 K8 single chip), and on the
first boot. The system hangs when initializing hardware. 

Starting udev:      OK
Initializing Hardware...Storage Network 

Disable HD Audio controller, first boot is okay. I try to update kernel to 
2.6.14. The module snd-hda-intel works fine and cannot find any error message. 
Play wav file,I can hear sound.

Steps to Reproduce:
1. Install RHEL4 UP2 on ULi EV970 or ASUS P5RD1-V
2. Boot new install.
Comment 1 Phil Schaffner 2005-12-01 09:07:22 EST
Seeing a very similar problem on IBM A21p notebook - hangs at the same point in
startup since recent updates.  Did a complete reinstall, rebooted OK.  Updated
and problem returned.
Comment 2 Phil Schaffner 2005-12-01 09:46:58 EST
Additional info: Both Knoppix 4.0.2 and Ubuntu Breezy 5.10 live-CD distros seem
to work OK on the same hardware, as have RH 7.3, FC1/2/3, and EL4/4.1.  The
problematic system is an IBM A21p notebook with (according to Knoppix lspci)
Cirrus Logic CS 4614/22/24 using module cs46xx.
Comment 3 John (J5) Palmieri 2005-12-01 11:40:29 EST
Looks like a udev issue.  Reassigning to udev
Comment 5 John Caruso 2005-12-05 20:00:51 EST
I'm seeing a similar problem on an IBM HS40 blade (model 8839) on which I've
just installed RHEL4--the system hangs on bootup immediately after the
"Initializing hardware... storage network audio" message is displayed.  This is
a rack-mounted blade server in an IBM Bladecenter chassis, with no audio,
running kernel 2.6.9-22.0.1.ELsmp.  The hang occurs on some boots but not others.
Comment 6 John W. Linville 2005-12-07 09:15:50 EST
Hmmm...well, I guess the first thing is for everyone to try my RHEL4 test 
kernels: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
Beyond that, please also make sure that you have the latest BIOS updates 
available for your box/motherboard/laptop. 
 
Please try both of the above and then post the results here...thanks! 
Comment 7 Phil Schaffner 2005-12-12 08:30:34 EST
kernel-2.6.9-24.EL.jwltest.96 works for me on IBM A21p.  I see .97 is there now
- will give that a shot also.
Comment 8 Phil Schaffner 2005-12-12 09:18:38 EST
kernel-2.6.9-24.EL.jwltest.97 works on A21p - reboots OK with audio device
enabled in /etc/modprobe.conf
Comment 12 Phil Schaffner 2006-01-04 08:23:54 EST
Test kernel-2.6.9-25.EL.jwltest.98 also works on A21p.  Neglected to mention
earlier - BIOS is at the latest available rev: KYET38WW from 20 May 2004. 
[Would be nice to see some feedback from others who have seen this bug.]
Comment 13 Phil Schaffner 2006-01-23 08:54:15 EST
Latest EL4 kernel 2.6.9-22.0.2.EL works OK on A21p.  CLOSED/CURRENTRELEASE would
seem to be an appropriate disposition if this works for the original reporter as
well.
Comment 15 Red Hat Bugzilla 2006-03-07 15:40:42 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html
Comment 16 Jacky Cui 2006-10-19 23:20:30 EDT
RHEL AS4 UP4, kernel 2.6.9-42.EL & 2.6.9-42.Elsmp can't let Sigmatel HD Audio 
STAC9220 work, also hang at: "Initializing hardware... storage network", I 
disable HDA support in BIOS, it can enter linux OK.

Platform: our designed board, Intel Mobile Dual core T2500 2G CPU + 945GM+ 
ICH7.
software: Redhat AS version 4, update 4.
Comment 17 John W. Linville 2006-10-20 09:26:08 EDT
Jacky, you probably want to open a separate bug for this issue, since this is 
for a different codec.

Either way, please try the test kernels currently available at the location 
from comment 6, and post the results in the new bug you open...thanks!
Comment 18 Jacky Cui 2006-10-23 01:01:19 EDT
create new bug number 211804

Note You need to log in before you can comment on or make changes to this bug.